package cn.novalon.gym.manage.sys.core.service;

import cn.novalon.gym.manage.sys.core.domain.SysDictData;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

/**
 * 字典数据服务接口
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public interface ISysDictDataService {
    Flux<SysDictData> findAll();
    Flux<SysDictData> findByDictType(String dictType);
    Flux<SysDictData> findByDictTypeAndStatus(String dictType, String status);
    Mono<SysDictData> findById(Long id);
    Mono<SysDictData> save(SysDictData dictData);
    Mono<Void> deleteById(Long id);
}
